import os
import yaml

from pathlib import Path

with open(os.path.join(Path(__file__).parent, "default_constants.yml")) as yaml_file:
    CONSTANTS = yaml.safe_load(yaml_file)

if os.path.isfile(os.path.join(Path(__file__).parent, "constants.yml")):
    with open(os.path.join(Path(__file__).parent, "constants.yml")) as custom_yaml_file:
        CONSTANTS.update(yaml.safe_load(custom_yaml_file))


def get_entity_name(name: str):

    if name in CONSTANTS["entity_names"]:

        return CONSTANTS["entity_names"][name]

    return name


def get_column_header_name(name: str):

    if name in CONSTANTS["csv_column_names"]:
        return CONSTANTS["csv_column_names"][name]

    return get_entity_name(name)
